Quick Start to Stand-Alone Installation

Preparing for Installation
Quick Start to Stand-Alone Installation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Stand-Alone Installation Guide provides instructions about how to prepare, and then install AutoCAD 2010. If you have never installed the product before, you should familiarize yourself with the entire installation process and options before beginning.

If you have a previous release installed, you should review the Migrate Custom Settings and Files from Previous Releases section, so you can take full advantage of your custom settings.

For information about installing network-licensed versions of the program, see the following related topics:

  • Choose an Installation Type (Network Administrator’s Guide)
  • Select a License Type (optional) (Network Administrator’s Guide)
  • What is the difference between a stand-alone license and a network license?
  • What is the benefit of using a network licensed version of the software?

Topics in this section

  • Preparing for Installation
  • Installing and Running the Product
Please send us your comment about this page


Preparing for Installation

Quick Start to Stand-Alone Installation
Quick Start to Stand-Alone Installation
System Requirements
Quick Start to Stand-Alone Installation >
Preparing for Installation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To prepare for installation, you should review the system requirements, understand administrative permission requirements, locate your AutoCAD serial number and product key, and close all running applications. Complete these tasks, and you are ready to begin installing AutoCAD.

Topics in this section

  • System Requirements
  • Understanding Administrative Permission Requirements
  • Locating Your Serial Number and Product Key
  • Avoiding Data Loss During Installation
  • Choosing a Language
  • Configure Button
  • Migrating Custom Settings
  • Installing Multiple or Bundled Products


System Requirements

Preparing for Installation
Preparing for Installation
Understanding Administrative Permission Requirements
Quick Start to Stand-Alone Installation > Preparing for Installation >
System Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The first task you need to complete is to make sure that your computer meets the minimum system requirements. If your system does not meet these requirements, problems can occur, both within AutoCAD and at the operating system level.

Whether your Windows operating system is the 32-bit or the 64-bit version, the version is automatically detected during installation. The appropriate version of AutoCAD is installed. A 64-bit version of AutoCAD cannot be installed on a 32-bit system and vice-versa.

See the following table for hardware and software requirements.

32-bit Hardware and Software Requirements

Operating systems

Windows® XP Home and Professional Edition SP2 or later

Microsoft® Windows Vista® SP1 or later including:

  • Windows Vista Enterprise
  • Windows Vista Business
  • Windows Vista Ultimate
  • Windows Vista Home Premium
For more information on Windows Vista versions see http://www.microsoft.com/windowsvista/versions/
Browser | Internet Explorer® 7.0 or later
CPU type

Windows XP - Intel® Pentium® 4 or AMD Athlon™ Dual Core processor, 1.6 GHz or higher with SSE2 technology

Windows Vista - Intel Pentium 4 or AMD Athlon Dual Core processor, 3.0 GHz or higher with SSE2 technology
Memory

Windows XP - 2 GB RAM

Windows Vista - 2 GB RAM
Display resolution | 1024 x 768 with True Color
Hard disk | Installation 1 GB | A 32-bit AutoCAD cannot be installed on a 64-bit Windows operating system and vice-versa.
Pointing device | MS-Mouse compliant
3D Modeling Additional Requirements
  • Intel Pentium 4 or AMD Athlon processor, 3.0 GHz or higher; or Intel or AMD Dual Core processor, 2.0 GHz or higher
  • 2 GB RAM or greater
  • 2 GB free hard disk space available not including installation
  • 1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, Direct3D® capable workstation class graphics card

64-bit Hardware and Software Requirements

Operating systems

Windows® XP Professional x64 Edition SP2 or later

Microsoft® Windows Vista® SP1 or later including:

  • Windows Vista Enterprise
  • Windows Vista Business
  • Windows Vista Ultimate
  • Windows Vista Home Premium
For more information on Windows Vista versions see http://www.microsoft.com/windowsvista/versions/
Browser | Internet Explorer 7.0 or later
CPU type

AMD Athlon 64 with SSE2 technology

AMD Opteron™ with SSE2 technology

Intel Xeon with Intel EM64T support and SSE2 technology

Intel Pentium 4 with Intel EM64T support and SSE2 technology
Memory

Windows XP - 2 GB RAM

Windows Vista - 2 GB RAM
Display resolution | 1024 x 768 with True Color
Hard disk | Installation 1.5 GB | A 64-bit AutoCAD cannot be installed on a 32-bit Windows operating system and vice-versa.
Pointing device | MS-Mouse compliant
3D Modeling Additional Requirements
  • Intel Pentium 4 or AMD Athlon processor, 3.0 GHz or higher; or Intel or AMD Dual Core processor, 2.0 GHz or higher
  • 2 GB RAM or greater
  • 2 GB free hard disk space available not including installation
  • 1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, Direct3D® capable workstation class graphics card

Additional Hardware and Software Recommendations - 3D use

Operating system

32-Bit

Windows XP Home and Professional SP2 or later

Windows Vista Enterprise

Windows Vista Business

Windows Vista Ultimate

Windows Vista Home Premium

64-Bit

Windows XP Professional x64 Edition SP2 or later

Windows Vista Enterprise 64-bit

Windows Vista Business 64-bit

Windows Vista Ultimate 64-bit

Windows Vista Home Premium 64-bit

  • It is recommended that non-English language versions of AutoCAD be installed on an operating system with a user interface language that matches the code page of AutoCAD language. A code page provides support for character sets used in different languages.
  • Whether the Windows operating system is 32-bit or 64-bit, the version is automatically detected when you install AutoCAD. The appropriate version of AutoCAD is installed. The 32-bit version of AutoCAD cannot be installed on a 64-bit version of Windows and vice-versa.

Processor

Intel Pentium 4 processor or AMD Athlon, 2.2 GHz or greater

or

Intel or AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color); 128 MB or greater Direct3D capable workstation class graphics card.

For Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required; 1024 x 768 VGA with True Color (minimum)

  • For graphic cards that support Hardware Acceleration, DirectX 9.0c, or later, must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c, or later. Manual installation of DirectX is required, in this circumstance, for Hardware Acceleration to be configured.

For more information about tested and certified graphics cards, visit http://autodesk.com/graphicscard/

Hard disk

2 GB (in addition to the 1 GB or above required for installation)

NoteAdobe Flash Player is not installed by default. If a version of Flash is not currently installed on your system, a message is displayed requesting that you download it from Adobe’s website. If you do not have Internet access, you can also access the Flash installer on the AutoCAD disc.


Understanding Administrative Permission Requirements

System Requirements
Preparing for Installation
Locating Your Serial Number and Product Key
Quick Start to Stand-Alone Installation > Preparing for Installation >
Understanding Administrative Permission Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To install AutoCAD, you must have administrator permissions. You do not need to have domain administrative permissions. See your system administrator for information about administrative permissions.

You do not need administrator permissions to run AutoCAD. You can run the program as a limited user.


Locating Your Serial Number and Product Key

Understanding Administrative Permission Requirements
Preparing for Installation
Avoiding Data Loss During Installation
Quick Start to Stand-Alone Installation > Preparing for Installation >
Locating Your Serial Number and Product Key
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you install AutoCAD, you are prompted for your serial number and product key in the Product and User Information page. The serial number and product key are located on the outside of the product packaging, or in the email you received if you downloaded your product. Make sure to have these available before you install the program so that you don't have to stop in the middle of the installation.

The serial number must contain a three-digit prefix followed by an eight-digit number. The product key consists of five digits.

The information you enter is permanently retained with the product. Because you can't change this information later without uninstalling, take care when entering the information. To review this product information later, on the InfoCenter toolbar, click the drop-down arrow next to the Help button (the question mark). Then click About.

NoteIf you have lost your serial number or product key, contact the Autodesk Business Center (ABC) at 800-538-6401 for assistance.


Avoiding Data Loss During Installation

Locating Your Serial Number and Product Key
Preparing for Installation
Choosing a Language
Quick Start to Stand-Alone Installation > Preparing for Installation >
Avoiding Data Loss During Installation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD installation process may stop if some applications (such as Microsoft® Outlook® or virus-checking programs) are running. Close all running applications to avoid possible installation problems and data loss.


Choosing a Language

Avoiding Data Loss During Installation
Preparing for Installation
Configure Button
Quick Start to Stand-Alone Installation > Preparing for Installation >
Choosing a Language
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can select a different language for installation instructions, and a language for individual product installations in the same install process.

When you start the installation process, the installer automatically determines your operating system language. If a supported language is detected, your install pages are displayed in that language. If you want to change that language, you select a different one from the installer language list on the first page of the Installation wizard.

You can also select a language for an individual product by clicking the Select Language for Individual Products check box on the Select the Products to Install page, and then selecting a language from the drop-down list.

NoteSome products may not have multiple languages available at the time of product release. Additional language packs may be available later for Subscription customers. Refer to http://autodesk.com/servicesandsupport for the availability of additional language packs.


Configure Button

Choosing a Language
Preparing for Installation
Migrating Custom Settings
Quick Start to Stand-Alone Installation > Preparing for Installation >
Configure Button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

During the installation process, you choose either a typical installation (install the product with default settings), or a customized installation. If you choose to customize, you start that process in the Review - Configure - Install dialog box. Select the appropriate product from the drop-down list, and click the Configure button.

After you click the Configure button, the following dialog boxes and options are displayed:

  • Select the License Type - Stand-Alone license or Network license. If you choose Network license, you also need to select the license server model - Single, Distributed, or Redundant.
  • Select the Installation Type - Typical or Custom. If you choose a Typical installation (default settings), the product installs the most common application features. To see which features are included in a Typical installation, refer to When performing a Typical installation, what gets installed? If you choose Custom, you select specific features to install.
  • Include a Service Pack - If a service pack is available for your installation, you can include it.

When you have completed your choices, click the Configuration Complete button. This takes you back to the Review - Configure - Create dialog box, where you can review your selections and complete the installation process.

NoteTo get a copy of your settings, select the Copy to Clipboard button.

If you do not wish to make configuration changes on the Review - Configure - Install page, click Install. Then click Yes, to continue installing using the typical configuration.


Migrating Custom Settings

Configure Button
Preparing for Installation
Installing Multiple or Bundled Products
Quick Start to Stand-Alone Installation > Preparing for Installation >
Migrating Custom Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can migrate your custom settings and files from previous releases of AutoCAD (<AutoCAD 2000> through <AutoCAD 2010>). It is recommended that you migrate custom settings from a previous release right away. This prevents you from overwriting files or having to keep track of any custom settings you may make in the new release. Migrating settings overwrites any new settings.

For more details regarding migration, see Migrate Custom Settings and Files from Previous Releases.


Installing Multiple or Bundled Products

Migrating Custom Settings
Preparing for Installation
Installing and Running the Product
Quick Start to Stand-Alone Installation > Preparing for Installation >
Installing Multiple or Bundled Products
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Some Autodesk packages are comprised of multiple products or are part of multi-product bundles.

In the Installation wizard, for packages containing multiple products, you can choose which products and languages you want to install. During the install process, you are informed whether a copy of the software is already installed. You are also warned if your system does not meet the minimum system requirements for the product. Each product name is displayed on its own tabbed panel; you can configure them individually.

If you purchased a package that is a multi-product bundle, such as an educational or institutional package, you may have a package that includes several Autodesk products. For these bundled packages, an Installer disc contains information for all the products in the package. The Installer disc helps you install all of the products.


Installing and Running the Product

Installing Multiple or Bundled Products
Quick Start to Stand-Alone Installation
Installing AutoCAD
Quick Start to Stand-Alone Installation >
Installing and Running the Product
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To use the product, you must install the product, register and activate it, and then launch it. You must have administrative permissions to install AutoCAD.

This section provides instructions for installing and activating AutoCAD for an individual user on a stand-alone computer. For information about installing network-licensed or multi-seat stand-alone versions of the program, see the Network Administrator's Guide.

Topics in this section

  • Installing AutoCAD
  • Register and Activate AutoCAD
  • Launch AutoCAD
  • Add or Remove Features
  • Reinstall or Repair AutoCAD
  • Uninstall AutoCAD
  • Installing Design Review


Installing AutoCAD

Installing and Running the Product
Installing and Running the Product
Register and Activate AutoCAD
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Installing AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD Installation wizard contains all installation-related material in one place. From the Installation wizard, you can access user documentation, change the installer language, select a language-specific product, install supplemental tools, and add online support services.

  • Review installation documentation before you install. It is recommended that you take the time to familiarize yourself with the complete installation process before you install AutoCAD. You can access PDF versions of the installation and licensing manuals from the product's Installation wizard by selecting the Read this Documentation selection, the Documentation link at the bottom, left pane of the install pages, or through the Help system.

    You can also access PDFs from the product discs by navigating to the documentation (docs) folder. For late-breaking information, it is also recommended that you review the product Readme.

    NoteTo view or print any files with an extension of .pdf, Adobe® Reader® must be installed on your computer. If you do not have Adobe Reader, you can download the latest version by visiting www.adobe.com.

To install AutoCAD using default values on a stand-alone computer

This is the fastest means of installing AutoCAD on your system. Only default values are used which means it is a typical installation being installed to C:\Program Files\<AutoCAD>.

  1. Insert the AutoCAD disc(s) into your computer's drive.
  2. In the AutoCAD Installation wizard, select a language for the install instructions or accept the default language. Click Install Products.

  3. Select the product(s) and the language for the product(s) you want to install. Click Next.

    In order to choose a language for an individual product, you first must click the Select Language for Individual Products check box, then select the language from the drop-down list. In some cases, additional languages may not be available for the products you choose to install.

    NoteAutodesk Design Review 2010 is not installed by default when you install AutoCAD. It is recommended that you install Design Review if you need to view DWF or DWFx files. For more information about Design Review, see Installing Design Review.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Select your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Products and User Information page, enter your serial number, product key, and user information. Review the Privacy Policy from the link at the bottom of the dialog box. After reviewing, click Next.

    NoteThe information you enter here is permanent and is displayed in the Help menu on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information.
  6. If you do not want to make configuration changes on the Review - Configure - Install page, select Install. Then select Yes to continue installing using the default configuration.

    The wizard does the following:

    • Uses a Typical installation, which installs the most common application features. To see which features are included in a Typical installation, refer to When performing a Typical installation, what gets installed?.
    • Includes the Express Tools library. The library provides additional productivity tools.
    • Installs AutoCAD to the default install path of C:\Program Files\<AutoCAD>.
  7. Click Install.
  8. On the Installation Complete page, you can choose the following:

    View the installation log file

    If you want to view the installation log file, its location is displayed.

    View the AutoCAD Readme

    The Readme file is opened from this page when you click Finish. This file contains information that was unavailable when the AutoCAD documentation was prepared. If you do not want to view the Readme file now, clear the check box next to Readme.

    NoteYou can also view the Readme file after you have installed AutoCAD.

To install AutoCAD using configured values on a stand-alone computer

With this installation method, you can fine-tune exactly what gets installed by using the Configure option. You can alter the installation type, the install path, and the license type. You can also install Material libraries and Tutorial files.

  1. Insert the AutoCAD disc(s) into your computer's drive.
  2. In the AutoCAD Installation wizard, select a language for the install instructions or accept the default language. Click Install Products.
  3. Select the product(s) and the language for the product(s) you want to install. Click Next.

    To select a language for an individual product, click the Select Language for Individual Products check box, then select the language from the language drop-down list. In some cases, additional languages may not be available for the products you choose to install.

    NoteAutodesk Design Review 2010 is not installed by default when you install AutoCAD. It is recommended that you install Design Review if you need to view DWF or DWFx files. For more information about Design Review, see Installing Design Review.
  4. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  5. On the Products and User Information page, enter your serial number, product key, and user information. Review the Privacy Policy from the link at the bottom of the dialog box. After reviewing, click Next.
    NoteThe information you enter here is permanent and is displayed in the Help menu on your computer. Because you can't change this information later without uninstalling the product, make sure you enter the correct information.
  6. On the Review - Configure - Install page, click Configure to make configuration changes such as installation type, installing optional tools, or changing the installation path.

  7. On the Select the License Type page, you can choose to install a Stand-alone or Network license. Click Next.
  8. On the Select the Installation Type page, you can choose to make the following configuration changes:

    • Typical - Installs the most common application features.
    • Custom - Installs only the application features that you select from the Select Features to Install list
      CAD Standards | Contains tools for reviewing design files for compliance with your standards.
      Database | Contains database access tools.
      Dictionaries | Contains multi-language dictionaries.
      Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
      Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
      Fonts | Contains AutoCAD fonts and TrueType fonts.
      Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
      Autodesk Seek Autodesk Seek.
      NoteSeek will only be installed in the English version of AutoCAD.
      Material Library | The Material Library contains over 300 professionally built materials to apply to your model.
      New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
      License Transfer Utility Allows users to transfer an Autodesk product license between computers.
      NoteThe utility will not be installed on unlocked versions of AutoCAD.
      Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
      Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
      Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
      Samples | Contains various feature sample files.
      Tutorials | Contains tutorials.
      VBA Support | Contains Microsoft Visual Basic for Applications support files.
    • Product Install Path - Specifies the drive and location where AutoCAD will be installed.
    • Create a Desktop Shortcut - Choose whether to display the AutoCAD shortcut icon on your desktop. A product icon is displayed on your desktop by default. Clear the check box if you do not want to display the shortcut icon.
  9. On the Include Service Packs page, if service packs are available for your product, you can select to include them.

    The installer automatically checks autodesk.com for available updates. If updates are available, a link is displayed.

  10. Click another product tab to configure another product, or click Next and then Configuration Complete to return to the Review - Configure - Install page. Then, click Install.
    NoteIf you want a copy of your configuration summary information, click the Copy to Clipboard button.
  11. On the Installation Complete page, you can choose the following:

    View the installation log file

    If you want to view the installation log file, its location is displayed.

    View the AutoCAD Readme

    The Readme file is opened from this page when you click Finish. This file contains information that was unavailable when the AutoCAD documentation was prepared. If you do not want to view the Readme file now, clear the check box next to Readme.

    NoteYou can also view the Readme file after you have installed AutoCAD.
  12. Click Finish.

You have successfully installed AutoCAD. You are now ready to register your product and start using the program. To register the product, start AutoCAD and follow the on-screen instructions.

NoteAutodesk does not recommend or support the distribution of AutoCAD using imaging software. However, if you plan to use this method of distribution, please review the instructions detailed in the Network Administrator’s Guide.


Register and Activate AutoCAD

Installing AutoCAD
Installing and Running the Product
Launch AutoCAD
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Register and Activate AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The first time you start AutoCAD, the Product Activation wizard is displayed. You can either activate AutoCAD at that time or run AutoCAD and activate it later. Until you register and enter a valid activation code for AutoCAD, you are operating the program in trial mode and the Product Activation wizard is displayed for 30 days from the first time that you run the program.

If after 30 days of running AutoCAD in trial mode you have not registered and provided a valid activation code, your only option is to register and activate AutoCAD. You will not be able to run in trial mode after the 30 days expires. Once you register and activate AutoCAD, the Product Activation wizard is no longer displayed.

The fastest and most reliable way to register and activate your product is by using the Internet. Simply enter your registration information and send it to Autodesk over the Internet. Once you submit your information, registration and activation occur quickly.

To register and activate AutoCAD

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Programs [image] Autodesk [image] <AutoCAD> [image] <AutoCAD>.
    • (Windows Vista) Click Start menu [image] All Programs [image] Autodesk [image] <AutoCAD> [image] <AutoCAD>.
  2. In the AutoCAD Product Activation wizard, select Activate the Product, and then click Next.

    This starts the Register Today process.

  3. Click Register and Activate (Get an Activation Code).
  4. Click Next and follow the on-screen instructions.

    If you do not have Internet access, or if you want to use another method of registration, you can register and activate AutoCAD in one of the following ways:

    Email

    Create an email message with your registration information and send it to Autodesk.

    Fax or Post/Mail

    Enter your registration information, and fax or mail the information to Autodesk.


Launch AutoCAD

Register and Activate AutoCAD
Installing and Running the Product
Add or Remove Features
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Launch AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Assuming that you followed all of the previous steps outlined in this installation section, you can launch AutoCAD and start taking advantage of its new and updated features. For more information about the new features, see the New Features Workshop after you launch the product.

You can start AutoCAD in the following ways:

  • Desktop shortcut icon. When you install AutoCAD, an AutoCAD shortcut icon is placed on your desktop unless you cleared that option during installation. Double-click the AutoCAD icon to start the program.
  • Start menu. On the Start menu (Windows XP), click Programs or (Windows Vista) All Programs [image] Autodesk [image] <AutoCAD> [image] <AutoCAD>.
  • Location where the AutoCAD is installed. If you have administrative permissions, you can run AutoCAD in the location where you installed it. If you are a limited-rights user, you must run AutoCAD from the Start menu or from the desktop shortcut icon. If you want to create a custom shortcut, make sure that the Start In directory for the shortcut points to a directory where you have write permissions.


Add or Remove Features

Launch AutoCAD
Installing and Running the Product
Reinstall or Repair AutoCAD
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Add or Remove Features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can add or remove AutoCAD features at any time. For example, you may have chosen a Custom installation option when you first installed AutoCAD, but now you want to add features that you did not install originally. Or you may no longer need to use all of the features that were installed originally. You can add or remove features by using the Add or Remove Programs dialog box.

To add or remove features

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Settings [image] Control Panel [image] Add or Remove Programs.
    • (Windows Vista) Click Start menu [image] Control Panel [image] Programs and Features [image] Uninstall or Change a Program.
  2. In the Add or Remove Programs dialog box, click AutoCAD, and then click Change/Remove.

    The AutoCAD Installation wizard re-opens in Maintenance Mode.

  3. Click Add or Remove Features.
  4. On the Add/Remove Features page, select a feature to install or uninstall. The icons to the left of the selections give you an indication of the action that will be taken.

    Indicates a feature that was marked for installation will be in a typical installation.

    Indicates a feature that is not currently scheduled for installation.

    Indicates a feature that was not originally marked for installation, but was added to the installed feature list.

    Indicates an installed feature that is chosen for removal.

    NoteIf you need to revert to AutoCAD features that you selected in your original installation, click Cancel.

    Click Next.

  5. On the Update AutoCAD Installation page, click Next.
  6. On the Update Complete page, you are informed when the updates have been performed. Click Finish.


Reinstall or Repair AutoCAD

Add or Remove Features
Installing and Running the Product
Uninstall AutoCAD
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Reinstall or Repair AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you accidentally delete or alter files that are required by AutoCAD, AutoCAD might not perform correctly, and you might receive error messages when you try to execute a command or find a file. You can attempt to fix this problem by reinstalling or repairing AutoCAD. The reinstallation or repair uses the features that were part of the installation type you chose when you initially installed the program.

To reinstall or repair AutoCAD

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Settings [image] Control Panel [image] Add or Remove Programs.
    • (Windows Vista) Click Start menu [image] Control Panel [image] Programs and Features [image] Uninstall or Change a Program.
  2. Then, do one of the following:
    • (Windows XP) In the Add or Remove Programs window, select AutoCAD, then click Change/Remove.
    • (Windows Vista) In the Uninstall or Change a Program window, select AutoCAD, then click Uninstall/Change.

    The AutoCAD Installation wizard re-opens in Maintenance mode.

  3. Select Repair or Reinstall. On the Select Repair or Reinstall page, select one of the following options, and then click Next to start the process.
    • Repair My <AutoCAD> Installation. This option replaces all registry entries that AutoCAD initially installed and restores AutoCAD to its default state. If you are missing AutoCAD files, use this option.
    • Reinstall My <AutoCAD> Installation. This option repairs the registry and reinstalls all files from the original installation. Use this option if the Repair My <AutoCAD> Installation option does not solve the problem.
  4. On the Repair Complete page, click Finish.


Uninstall AutoCAD

Reinstall or Repair AutoCAD
Installing and Running the Product
Installing Design Review
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Uninstall AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you uninstall AutoCAD, all components are removed. This means that even if you've previously added or removed components, or if you've reinstalled or repaired AutoCAD, the uninstall removes all AutoCAD installation files from your system.

To uninstall AutoCAD

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Settings [image] Control Panel [image] Add or Remove Programs.
    • (Windows Vista) Click Start menu [image] Control Panel [image] Programs and Features [image] Uninstall or Change a Program.
  2. Then, do one of the following:
    • (Windows XP) In the Add or Remove Programs window, select AutoCAD, then click Change/Remove.
    • (Windows Vista) In the Uninstall or Change a Program window, select AutoCAD, then click Uninstall/Change.

    The AutoCAD Installation wizard re-opens in Maintenance mode.

  3. Click Uninstall.
  4. On the Uninstall <AutoCAD> page, click Next to remove AutoCAD from the system.
  5. When informed that the product has been successfully uninstalled, click Finish.
NoteEven though AutoCAD is removed from your system, the software license remains. If you reinstall AutoCAD at some future time, you will not have to register and re-activate the program.


Installing Design Review

Uninstall AutoCAD
Installing and Running the Product
Migrating and Customizing
Quick Start to Stand-Alone Installation > Installing and Running the Product >
Installing Design Review
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Autodesk Design Review 2010 is not installed by default when you install AutoCAD. It is recommended that Design Review be installed if you need to view DWF or DWFx files.

NoteIf you use Windows Vista, you can view and print DWFx files without installing Design Review.

Autodesk Design Review is a free program used for creating and reviewing DWF or DWFx files. An open, published, and secure file format developed by Autodesk, DWF enables you to combine and publish rich 2D- and 3D-design data, and share it with others.

The following commands create DWF or DWFx files.

  • PUBLISH
  • PLOT
  • 3DDWF
  • PUBLISH TO WEB
  • EXPORT
  • AUTOPUBLISH
  • SSM


Migrating and Customizing

Installing Design Review
Migrate Custom Settings and Files from Previous Releases
Migrating and Customizing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you have a previous version of AutoCAD installed on your system, you can install a newer version of AutoCAD and keep other versions of the program on the same system. This is called a side-by-side installation. If you've purchased an upgrade version of AutoCAD, you are required to uninstall the previous version within 120 days of installing your newer product. See your license agreement for more information.

In this section, you learn about migrating from previous releases, using customized files from previous releases, and locating customized files.

Topics in this section

  • Migrate Custom Settings and Files from Previous Releases
  • Customize AutoCAD with Initial Setup

    With Initial Setup you can perform some basic customization of AutoCAD the first time you start.

  • Export and Import Custom Settings from the Same Release
  • Migrating and Customizing Issues

    This section outlines common issues and their solutions with regards to migrating and customizing AutoCAD.


Migrate Custom Settings and Files from Previous Releases

Migrating and Customizing
Migrating and Customizing
Migrate Custom Settings
Migrating and Customizing >
Migrate Custom Settings and Files from Previous Releases
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can migrate your custom settings and files from previous releases of AutoCAD to your new release. It is recommended that you migrate from a previous release right away. This prevents you from overwriting files or having to keep track of any custom settings you may make in the new release. Migrating settings overwrites any new settings.

You can use the following tools to migrate settings and files:

  • Migrate Custom Settings dialog box. Migrates user profiles, CUI files, AutoCAD and user-defined linetype files, AutoCAD and user-defined hatch patterns, and the acad.pgp file (a file that stores command definitions and aliases). The Migrate Custom Settings dialog box is displayed when you start the product for the first time. You can also migrate settings later from the Start menu (Windows).
  • Customize User Interface dialog box. Converts legacy menu files (MNU and MNS) to the CUI format while leaving the original MNU or MNS file unchanged. Migrating user interface elements, transferring data between customized files, and customizing user interface elements are simplified in this dialog box. For more information about the CUI format and how migration of menu files has been simplified, see Customize the User Interface in the Customization Guide.
  • Migration tools. Aid migration of settings or files that cannot be automatically migrated (such as AutoLISP® files and the accompanying MNL files) or that require you to make a decision about which files to migrate (such as which files in a set of drawing files). Download these migration tools by visiting www.autodesk.com and then performing a search on Migration Tools.
NoteFor information about customizing files and settings, see the Customization Guide, accessible from the Documentation link on the AutoCAD Installation wizard and in the Help system.

Topics in this section

  • Migrate Custom Settings
  • Use Migration Tools


Migrate Custom Settings

Migrate Custom Settings and Files from Previous Releases
Migrate Custom Settings and Files from Previous Releases
View the Migration Log File
Migrating and Customizing > Migrate Custom Settings and Files from Previous Releases >
Migrate Custom Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you install AutoCAD on a computer where a previous release of the AutoCAD product is installed, you can migrate some custom settings from a previous release to your newer AutoCAD product.

Migrate the user profile. This file contains drawing environment settings such as screen color, cursor size, command line window font, and the dictionary to use for checking spelling. The user profile file also includes the folders in which AutoCAD searches for support, driver, customization, and other files. If you customized files in a location other than the default AutoCAD location, the path to the location is migrated. The files themselves do not get migrated.

Migrate linetypes, hatch patterns, and command aliases that you created. The data from these files is added to a user-defined section of the AutoCAD files, to make it easy for you to find this information and migrate this data to future releases. You cannot use the Migrate Custom Settings dialog box to migrate shell commands or comments that you made to your acad.pgp file.

NoteIf you have made changes to partial plotter configuration (PC3) files that are located in a custom folder, those files are migrated to the AutoCAD PC3 folder, which is located under your custom PC3 folder. PC3 files are migrated to a separate folder to maintain backward compatibility with previous AutoCAD releases.

The following table lists the files that are migrated with the Migrate Custom Settings dialog box, a description of each file, and file details to help you decide if you want to migrate a file.

Files Migrated with the Migrate Custom Settings Dialog Box

File Name

File Description

Details

*.arg

Used to back up user profile information from the system registry. The ARG file is not migrated. Registry settings are migrated.

Changes you make to your user profile are stored in the system registry and are migrated.

*.lin

Stores your user-defined linetypes.

User-defined linetype files are migrated.

acad.lin

Contains standard linetype definitions (an AutoCAD library file).

The file itself is not migrated; however, any linetypes that you created in this file are migrated to the AutoCAD acad.lin file, in the User Defined Linetypes section of the file.

acadiso.lin

Contains metric linetype definitions (an AutoCAD library file).

The file itself is not migrated; however, any linetypes that you created in this file are migrated to the AutoCAD acadiso.lin file, in the User Defined Linetypes section of the file.

*.pat

Stores user-defined hatch patterns.

User-defined hatch pattern files are migrated.

acad.pat

Contains standard hatch pattern definitions (an AutoCAD library file).

The file itself is not migrated; however, any hatch patterns that you created in this file are copied to the AutoCAD acad.pat file, in the User Defined Hatch Patterns section of the file.

acadiso.pat

Contains metric hatch pattern definitions (an AutoCAD library file).

The file itself is not migrated; however, any metric hatch patterns that you created in this file are copied to the AutoCAD acadiso.pat file, in the User Defined Hatch Patterns section of the file.

acad.pgp

Stores shell commands and command alias definitions (a program parameters file in ASCII text form).

The file itself is not migrated; however, any command aliases you created in this file are copied to the AutoCAD acad.pgpfile.

*.mnu

Contains menu customization from an AutoCAD version earlier than AutoCAD 2006.

The file itself is not migrated; however, a copy of the file is created and then is converted into a CUI file with the same name. The new CUI file is placed in the same folder as the main CUI file. A MNU file is converted when a MNS file with the same name is not found.

*.mns

Contains menu customization from a version of an AutoCAD earlier than AutoCAD 2006.

The file itself is not migrated; however, a copy of the file is created and then is converted into a CUI file with the same name. The new CUI file is placed in the same folder as the main CUI file. A MNS file is converted when a MNU file with the same name is present or not.

*.cui

Contains customizations from a version of an AutoCAD starting with AutoCAD 2006.

If the CUI file is supplied by Autodesk, the custom changes made to the file are migrated to the newer version of the CUI file.

If the CUI file is not supplied by Autodesk, the file is migrated and is copied to where the main CUI file is located, unless the CUI file is in a network location. In that case, the file is migrated but is not copied to the location of the main CUI file.

Enterprise CUI files are not migrated automatically. You must migrate them manually.

Before the MNU, MNS, and CUI files are migrated, a backup copy of each file is saved in the following directory:

  • (Windows XP) <drive>:\Documents and Settings\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Previous Version Custom Files
  • (Windows Vista) <drive>:\Users\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Previous Version Custom Files
NoteOther custom settings and files can be migrated using Autodesk migration tools. For more information about migration tools, see Use Migration Tools.

To migrate custom settings when you start the AutoCAD

  1. Start AutoCAD.
  2. In the Migrate Custom Settings dialog box, in the Migrate Settings From list, select the AutoCAD release from which you want to migrate your custom settings.
  3. In the Settings and Files to Migrate box, select the custom files that you want to migrate.
  4. Click OK.
  5. In the Migrate Custom Settings message, click OK to view the log file, or click No if you do not want to view the log file now.
    NoteYou can view the log file at another time. For information about accessing the log file at another time, see View the Migration Log File.

Each time the Migrate Custom Settings dialog box is used, AutoCAD resets the program’s default CUI file from the UserDataCache folder and then migrates any customization done in a previous release forward.

To migrate custom settings from the Start menu (Windows)

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Migrate From a Previous Release.
    • (Windows Vista) Click Start menu [image] All Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Migrate From a Previous Release.
  2. In the Migrate Custom Settings dialog box, in the Migrate Settings From list, select the AutoCAD release from which you want to migrate your custom settings.
  3. In the Settings and Files to Migrate box, select the custom files that you want to migrate.
  4. Click OK.
  5. In the Migrate Custom Settings message, click OK to view the log file, or click No if you do not want to view the log file.
NoteTo be accessible, pull-down menus that are migrated from a MNU/MNS file to a CUI file need to be added to a workspace.

Topics in this section

  • View the Migration Log File
  • Restore Profiles After Migrating Files from an Earlier Release


View the Migration Log File

Migrate Custom Settings
Migrate Custom Settings
Restore Profiles After Migrating Files from an Earlier Release
Migrating and Customizing > Migrate Custom Settings and Files from Previous Releases > Migrate Custom Settings >
View the Migration Log File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The migration log file (migration.xml) provides specific information about any settings or files that were not successfully migrated to AutoCAD. The log file shows all the files that were successfully copied from a previous version to the newer AutoCAD. It also provides information about files that were not successfully migrated. Use the log for troubleshooting if there are unwanted or unexpected results in your AutoCAD profiles.

After you use the Migrate Custom Settings dialog box to migrate custom settings and files, a message is displayed from which you open the migration log file. You can view the migration log file at that time. You can also navigate to the file if you want to view the log details another time.

To locate and view the migration log file

  1. In Windows Explorer, navigate to the following location:
    • (Windows XP) <drive>:\Documents and Settings\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Migration
    • (Windows Vista) <drive>:\Users\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Migration
  2. Double-click migration.xml to open the file, and view the details of your migration.


Restore Profiles After Migrating Files from an Earlier Release

View the Migration Log File
Migrate Custom Settings
Use Migration Tools
Migrating and Customizing > Migrate Custom Settings and Files from Previous Releases > Migrate Custom Settings >
Restore Profiles After Migrating Files from an Earlier Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After you migrate your profiles from an earlier AutoCAD release, you may want to restore the newer AutoCAD default profile settings.

To restore AutoCAD default profiles

  1. On the Application menu, click Options.
  2. In the Options dialog box, Profiles tab, click the profile you want to restore and click Reset.
  3. Click Yes.

    The profile is reset to the newer default profile.


Use Migration Tools

Restore Profiles After Migrating Files from an Earlier Release
Migrate Custom Settings and Files from Previous Releases
Customize AutoCAD with Initial Setup
Migrating and Customizing > Migrate Custom Settings and Files from Previous Releases >
Use Migration Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Migration tools take the guesswork out of updating your custom files from previous releases. The tools help you to share drawings when you upgrade to a new release of an AutoCAD product. You can download the migration tools in several languages from the Autodesk website.

NoteBecause these are public tools, product support for them is limited to the Autodesk discussion groups.

The migration tools are as follows:

  • DWG TrueView 2010. You can view, plot, and convert any AutoCAD product or an AutoCAD product-based drawing file for compatibility with the current AutoCAD drawing file formats.
  • ScriptPro. Using ScriptPro, you can apply a set of commands to multiple drawings by specifying a script file and the list of drawings to which you want to apply the script.
  • AutoLISP Compatibility Analyzer. Details AutoCAD compatibility issues found in AutoLISP files and the accompanying menu (MNL) files. When a compatibility issue is found, the tool provides an explanation of the issue and suggestions on how to correct it.


Customize AutoCAD with Initial Setup

Use Migration Tools
Migrating and Customizing
Export and Import Custom Settings from the Same Release
Migrating and Customizing >
Customize AutoCAD with Initial Setup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With Initial Setup you can perform some basic customization of AutoCAD the first time you start.

You respond to a series of questions that are used to gather information about specific features and settings in AutoCAD. You specify which industry best describes your work, add task-based tools to your default workspace, and specify the drawing template you want to use when creating a new drawing.

Select an Industry

When Initial Setup is first displayed, you are prompted to select an industry. Select one of the listed industries that is closest to the type of work that best describes the drawings you create. The following features and settings in AutoCAD and Initial Setup are affected by the industry you select:

  • Content Search. Used as part of a generated query to find content from Autodesk Seek.
  • Partner product search. Used as part of a generated query that is sent to the Autodesk Partner Products website to find relevant third-party utilities that might be beneficial to your work.
  • Initial Setup. Used to determine a drawing template file that might be more appropriate to your industry for new drawings when compared to the supplied default templates that come with AutoCAD.

Add Task-based Tools

With Initial Setup, you can add task-based tools to your default workspace (for example tools to review red-line markups created from Autodesk Design Review or tools used to create photorealistic renderings).

The following task-based tools can be added to your default workspace from Initial Setup:

  • 3D modeling
  • Photorealistic rendering
  • Review and markup
  • Sheet sets

You can use the Customize User Interface (CUI) Editor to further control which task-based tools are displayed in a workspace. For more information about workspaces, see “ Customize Workspaces“ in the Customization Guide.

Specify a Default Drawing Template

With drawing templates you can reuse a set of settings and styles when you create a new drawing. In Initial Setup you can specify the default drawing template to use when you create a new drawing. Initial Setup has the following drawing template options:

  • Default drawing template. Use the imperial or metric drawing template that is installed by default.
  • Existing drawing template. Specify an existing drawing template that is available on a local or network drive.

    If you migrated your custom settings and files from a previous release, the migrated default drawing template file is listed. For information about migrating custom settings and files from a previous release, see Migrate Custom Settings.

  • Industry focused drawing template. Use the drawing template that is associated with the industry you selected in Initial Setup, and either the imperial or metric measurement type.

Drawing templates are often project- or company-specific to ensure consistent styles and settings from one drawing to the next. It is recommended that you use a drawing template that follows your company’s CAD standards.

For information about creating a custom drawing template, see “ Use a Template File to Start a Drawing“ in the User’s Guide.

To customize AutoCAD with Initial Setup

  1. Start AutoCAD.
  2. In Initial Setup, Industry page, from the Industry list select the industry that best describes your work. Click Next.
  3. On the Optimize Your Workspace page, select the task-based tools you want to display in your default workspace. Click Next.
  4. On the Specify a Drawing Template File page, select the drawing template file that you want to use when creating new drawings. Click Start AutoCAD 2010.

To change the settings made with Initial Setup

  1. Click the Application menu button [image] Options.
  2. In the Options dialog box, User Preferences tab, click Initial Setup.
  3. In Initial Setup, Industry page, specify an industry that best describes your work. Click Next.
  4. On the Optimize Your Workspace page, select the task-based tools you want to display in your default workspace. Click Next.
  5. On the Specify a Drawing Template File page, select the drawing template file that you want to use when creating new drawings. Click Finish.
  6. In the Options dialog box, click OK.


Export and Import Custom Settings from the Same Release

Customize AutoCAD with Initial Setup
Migrating and Customizing
Export Custom Settings
Migrating and Customizing >
Export and Import Custom Settings from the Same Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can export your custom settings between systems running the same release of an AutoCAD product, or export the custom settings and later re-import them on the same computer if you need to reinstall AutoCAD. When exporting custom settings, a migration package is created that contains an XML file. This file contains custom settings, a listing of the custom files from local locations used with AutoCAD, and optionally, custom files in network locations.

The migration package is a ZIP file archive, so it has the file extension ZIP. During the import process, you select the ZIP file archive that contains the exported custom settings you want to merge onto your computer.

The following table lists the file types that are most commonly included in the migration package that is created from the Export Custom Settings dialog box.

Most Common File Types Included in the Migration Package
File Name | File Description
*.xml | Information about the user profiles in the product and the original locations of the files in the export package.
*.lin | Linetype definitions.
*.pat | Hatch pattern definitions.
*.pgp | Shell commands and command alias definitions.
*.pc3 | Configuration information for a plotter or printer.
*.pmp | Calibration and paper size settings that are used with a PC3 file.
*.ini | Configuration settings for some features.
*.shx | Information about text characters or shapes used with linetype definitions.
*.mln | Multiline style definitions.
*.ctb | Settings used to control the appearance of objects when plotting; the settings are arranged by the colors of the AutoCAD Color Index (ACI) system.
*.stb | Settings used to control the appearance of objects when plotting; the settings are grouped into names that can be assigned to a layer or object.
*.cui | Information for commands and user interface elements.
*.mnl | AutoLISP commands and procedures that a customization file is dependent on; must have the same name as a customization file in order to be loaded by the product.
*.fmp | Information about font mappings for True Type Fonts used in the In-place Text Editor.
*.cus | Custom dictionary entries.
*.psf | Information about font substitution when exporting to a Postscript file.
*.bmp | Image used for a command in a customization file.
*.atc | Tools defined on a tool palette and the tool palette catalog. The file is not migrated from release to release, but is from computer to computer with the migration package.
*.aws | Order of the tools as they appear on a tool palette and other local settings. The file is not migrated from release to release, but is from computer to computer with the migration package.

The following table lists the file types that are not included in the migration package that is created from the Export Custom Settings dialog box.

Some of the File Types Not Included in the Migration Package
File Name | File Description
*.actm | Action macro file.
*.arx | ObjectARX application file.
*.dcl | Definitions for custom dialog boxes used with AutoLISP, ADS, or ObjectARX applications.
*.dvb | Visual Basic for Applications project file.
*.fas | Fast-load AutoLISP format file.
*.fdc | Definitions for fields; should not be modified.
*.lli | Landscape library; this file type is no longer supported due to the removal of the LANDSCAPE command.
*.lsp | AutoLISP source file that contains definitions for custom commands and functions.
*.mli | Render material library; this file type is no longer supported due to changes to the MATERIALS command.
*.mnr | Resource images for a customization file; must have the same name as a customization file in order to be loaded by the product. The file is not included because it is auto-generated by the product when it is not present.
*.udl | Data connection settings used with dbConnect.
*.unt | Unit definitions used for converting a value from one unit type to another.
*.vlx | Visual LISP file that might contain multiple AutoLISP and DCL files compiled into a single file.
NoteFor information about customizing files and settings, see the Customization Guide, accessible from the Documentation link on the AutoCAD Installation wizard and in the Help system.

Topics in this section

  • Export Custom Settings
  • Import Custom Settings


Export Custom Settings

Export and Import Custom Settings from the Same Release
Export and Import Custom Settings from the Same Release
Import Custom Settings
Migrating and Customizing > Export and Import Custom Settings from the Same Release >
Export Custom Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When exporting custom settings, the custom files stored locally and all user profiles are exported to a migration package. You have the option to include custom files that are stored in network locations. During the creation of the migration package, you do not have any control over which types of files are included in the migration package.

The Export Custom Settings dialog box is used to create the migration package so it can be imported to another computer or the same computer running the same release of the product.

NoteYou must launch AutoCAD at least once before you can export custom settings to a migration package.

To export custom settings

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Export <AutoCAD> Settings.
    • (Windows Vista) Click Start menu [image] All Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Export <AutoCAD> Settings.
  2. In the Export Custom Settings dialog box, select the Include Custom Files in Networked Locations option if you have files in network locations that you want included in the migration package that is created.

  3. Click Export.
  4. In the Export Custom Settings file navigation dialog box, enter a name and specify a location for the migration. Click Open.

    A new ZIP file is created.

  5. In the confirmation message box, click OK.


Import Custom Settings

Export Custom Settings
Export and Import Custom Settings from the Same Release
Migrating and Customizing Issues
Migrating and Customizing > Export and Import Custom Settings from the Same Release >
Import Custom Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

By importing a migration package, you can configure AutoCAD in the same way as other computers that are running the same release of the product. Upon the successful import of the migration package, a message box is displayed giving you the option of viewing the migration log that is created. If any errors are encountered during the import process, they are logged in the migration log.

If files from a network location were added during the creation of a migration package, the files are copied to a different location only when the original network locations are not available when importing a migration package. If the files from a network location are found in the same location on the network, the files are not copied to the network location and are ignored during import.

During the import process, if the user profile <<Unnamed Profile>> exists, the user profile is automatically backed up before the migration package is imported. Local paths that exist as part of a user profile in a migration package are created automatically during the import process, but paths that are on a network drive or a drive that uses removable discs, are not created automatically.

NoteYou must launch AutoCAD at least once before you can import a migration package.

To import custom settings from a computer with the same release of AutoCAD

  1. Do one of the following:
    • (Windows XP) Click Start menu [image] Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Import <AutoCAD> Settings.
    • (Windows Vista) Click Start menu [image] All Programs [image] Autodesk [image] <AutoCAD> [image] Migrate Custom Settings [image] Import <AutoCAD> Settings.
  2. In the Import Custom Settings file navigation dialog box, select the ZIP file that contains the custom settings that were exported. Click Open.
  3. On the AutoCAD message box, click OK.

    Optionally, select the Display Log File After Closing This Dialog option before clicking OK to display the log file that was created during the importing of the migration package.

To view the migration log after custom settings imported

  1. In Windows Explorer, navigate to the following locations: (Windows XP)

    \Documents and Settings\<user profile>\Application Data\Autodesk\<product version>\<release number>\<language>\Migration.

    (Windows Vista) \Users\<user profile>\AppData\Local\Autodesk\<product version>\<release number>\<language>\Migration.

  2. Double-click migration.xml to open the file and view the details of your migration.


Migrating and Customizing Issues

Import Custom Settings
Migrating and Customizing
What are the benefits of identifying my industry?
Migrating and Customizing >
Migrating and Customizing Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to migrating and customizing AutoCAD.

Topics in this section

  • What are the benefits of identifying my industry?
  • How is this information being used?
  • What happens if I skip or cancel Initial Setup?
  • What are the benefits of selecting task-based tools?
  • What is a workspace?
  • How do I make changes to a workspace at a later time?
  • What is a drawing template file?
  • How do I modify drawing templates at a later time?
  • What are the benefits of customizing AutoCAD?
  • How do I return to this later?


What are the benefits of identifying my industry?

Migrating and Customizing Issues
Migrating and Customizing Issues
How is this information being used?
Migrating and Customizing > Migrating and Customizing Issues >
What are the benefits of identifying my industry?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

By identifying your industry, Initial Setup can determine which default drawing template might be the one that best fits your needs. Along with defining the default drawing template, the industry you choose is also used to:

  • Identify partner products. Partner products are developed by third-party developers; they extend the base functionality of your product and add specific functionality that is related to your industry. For more information about partner products, see http://partnerproducts.autodesk.com/.
  • Control Autodesk Seek results. Autodesk Seek is a content search site that contains symbols, specifications, and other design-related content that might be placed into a drawing or bid package. The specified industry filters the information that is found based on the content that is best related to you. For more information about Autodesk Seek, see http://seek.autodesk.com/.


How is this information being used?

What are the benefits of identifying my industry?
Migrating and Customizing Issues
What happens if I skip or cancel Initial Setup?
Migrating and Customizing > Migrating and Customizing Issues >
How is this information being used?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The information gathered from Initial Setup is used to configure several different features and to help guide the future direction of the program. The following features are customized with Initial Setup:

  • The default drawing template (DWT) file used to create new drawings.
  • The industry that best relates to you to use for filtering search results on Autodesk Seek.
  • Which task-based tools to display in a workspace.

No information is shared with Autodesk about the choices you make unless you participate in the Customer Involvement Program (CIP). For information about the Customer Involvement Program, see Join the Customer Involvement Program in the User’s Guide.


What happens if I skip or cancel Initial Setup?

How is this information being used?
Migrating and Customizing Issues
What are the benefits of selecting task-based tools?
Migrating and Customizing > Migrating and Customizing Issues >
What happens if I skip or cancel Initial Setup?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you skip or cancel Initial Setup, AutoCAD is not changed from its current state. You can return to Initial Setup when AutoCAD is restarted by checking Remind Me the Next Time AutoCAD Starts on the Skip Initial Setup page or through the Options dialog box.

To change settings from Initial Setup through the Options dialog box

  1. Click the Application menu button [image] Options.
  2. In the Options dialog box, User Preferences tab, click Initial Setup.
  3. In Initial Setup, make the desired changes and click Finish.
  4. In the Options dialog box, click OK.


What are the benefits of selecting task-based tools?

What happens if I skip or cancel Initial Setup?
Migrating and Customizing Issues
What is a workspace?
Migrating and Customizing > Migrating and Customizing Issues >
What are the benefits of selecting task-based tools?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Workspaces control which task-based tools are displayed in the application window and when they are displayed. You can create different workspaces based on the types of drawings you work on. For more information about customizing the user interface and workspaces, see Work with the Customize User Interface (CUI) Editor and Customize Workspaces in the Customization Guide.


What is a workspace?

What are the benefits of selecting task-based tools?
Migrating and Customizing Issues
How do I make changes to a workspace at a later time?
Migrating and Customizing > Migrating and Customizing Issues >
What is a workspace?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Workspaces are sets of menus, toolbars, palettes, and ribbon control panels that are grouped and organized so that you can work in a custom, task-oriented drawing environment. When you use a workspace, only the menus, toolbars, and palettes that are relevant to a task are displayed. For more information about customizing workspaces, see Customize Workspaces in the Customization Guide.


How do I make changes to a workspace at a later time?

What is a workspace?
Migrating and Customizing Issues
What is a drawing template file?
Migrating and Customizing > Migrating and Customizing Issues >
How do I make changes to a workspace at a later time?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Workspaces are used to control many of the tools displayed in the Application window of AutoCAD. You can modify the current workspace in a limited way from the Application window or you have full control over all aspects of a workspace with the Customize User Interface (CUI) Editor. For more information about customizing workspaces, see Customize Workspaces in the Customization Guide.


What is a drawing template file?

How do I make changes to a workspace at a later time?
Migrating and Customizing Issues
How do I modify drawing templates at a later time?
Migrating and Customizing > Migrating and Customizing Issues >
What is a drawing template file?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A drawing template (DWT) file is used to provide consistency for each new drawing (DWG) file that is created. DWT files can contain named objects, drawing based settings, and geometric objects. Stored named objects include layers, and text and dimension styles among others. Along with named objects, a DWT file can hold values for drawing based system variables, and any geometric object that might be common across multiple drawings such as a title block. For information about using a DWT file, see Use a Template File to Start a Drawing in the User’s Guide.


How do I modify drawing templates at a later time?

What is a drawing template file?
Migrating and Customizing Issues
What are the benefits of customizing AutoCAD?
Migrating and Customizing > Migrating and Customizing Issues >
How do I modify drawing templates at a later time?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Drawing template (DWT) files are no different than a drawing (DWG) file, with the exception of its file extension. Once a DWT file is opened, you can modify named objects such as layers, and text and dimension styles just as you would in a drawing. You open a DWT file with the OPEN command.

To open a drawing template (DWT) file

  1. Click the Application menu button [image] Open.
  2. In the Select File dialog box, select Drawing Template (*.dwt) from the Files of Type drop-down list.
  3. Browse to and select the drawing template (DWT) file you want to modify.
  4. Click Open.
  5. Make the desired changes to the DWT file.
  6. Click the Application menu button [image] Save.


What are the benefits of customizing AutoCAD?

How do I modify drawing templates at a later time?
Migrating and Customizing Issues
How do I return to this later?
Migrating and Customizing > Migrating and Customizing Issues >
What are the benefits of customizing AutoCAD?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Customizing AutoCAD provides many benefits that can increase your productivity and make your drawings have a consistent appearance. Customization can be as simple as creating a block that can be used in many drawings over and over again, such as a title block, to setting up a default template with Initial Setup, or customizing the user interface with the Customize User Interface (CUI) Editor. For information about customizing the user interface, see Work with the Customize User Interface (CUI) Editor in the Customization Guide.


How do I return to this later?

What are the benefits of customizing AutoCAD?
Migrating and Customizing Issues
Installation Troubleshooting
Migrating and Customizing > Migrating and Customizing Issues >
How do I return to this later?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can return to Initial Setup in two ways. You can check the Remind Me the Next Time AutoCAD 2010 Starts check box on the Skip Initial Setup page. Initial Setup displays the next time you start AutoCAD. You can also change settings for Initial Setup through the Options dialog box. To change the settings made with Initial Setup from the Options dialog box, see What happens if I skip or cancel Initial Setup?.


Installation Troubleshooting

How do I return to this later?
General Installation Issues
Installation Troubleshooting
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section provides solutions to installation issues and answers to commonly asked questions that may arise while installing your product(s). Additional troubleshooting information and support is also available at http://autodesk.com/support.

Topics in this section

  • General Installation Issues
  • Licensing Issues
  • Uninstall and Maintenance Issues


General Installation Issues

Installation Troubleshooting
Installation Troubleshooting
How can I check my graphics card driver to see if it needs to be updated?
Installation Troubleshooting >
General Installation Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following outlines common issues and their solutions that may arise while you are performing a general installation of your product(s).

Topics in this section

  • How can I check my graphics card driver to see if it needs to be updated?
  • What is a text editor used for?
  • When performing a Typical installation, what gets installed?
  • Why should I install the Material Library?
  • Where are my product manuals?


How can I check my graphics card driver to see if it needs to be updated?

General Installation Issues
General Installation Issues
What is a text editor used for?
Installation Troubleshooting > General Installation Issues >
How can I check my graphics card driver to see if it needs to be updated?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

It is recommended that you verify and update your graphics card driver to optimize your program. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD.
  2. At the command line, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.
TipMany newer graphic cards offer tabbed pages where you can learn more precise information about your specific graphic card. If specific tab pages are present, refer to them instead of the Adapter tab.


What is a text editor used for?

How can I check my graphics card driver to see if it needs to be updated?
General Installation Issues
When performing a Typical installation, what gets installed?
Installation Troubleshooting > General Installation Issues >
What is a text editor used for?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text editor you designate during installation is used for editing text files such as PGP and CUS dictionary files while you are running your product.


When performing a Typical installation, what gets installed?

What is a text editor used for?
General Installation Issues
Why should I install the Material Library?
Installation Troubleshooting > General Installation Issues >
When performing a Typical installation, what gets installed?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A Typical installation includes the following features:

CAD Standards | Contains tools for reviewing design files for compliance with your standards.
Database | Contains database access tools.
Dictionaries | Contains multi-language dictionaries.
Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
Fonts | Contains AutoCAD fonts and TrueType fonts.
Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
Autodesk Seek | Autodesk Seek. NoteSeek will only be installed in the English version of AutoCAD.
New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
License Transfer Utility | Allows users to transfer an Autodesk product license between computers. NoteThe utility will not be installed on unlocked versions of AutoCAD.
Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
Samples | Contains various feature sample files.
VBA Support | Contains Microsoft Visual Basic for Applications support files.


Why should I install the Material Library?

When performing a Typical installation, what gets installed?
General Installation Issues
Where are my product manuals?
Installation Troubleshooting > General Installation Issues >
Why should I install the Material Library?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Material Library contains over 300 professionally made materials that you can immediately apply to objects in your model. They can also act as a basis for custom materials that you want to create.

For more information regarding materials, see Materials and Textures in the AutoCAD User’s Guide.


Where are my product manuals?

Why should I install the Material Library?
General Installation Issues
Licensing Issues
Installation Troubleshooting > General Installation Issues >
Where are my product manuals?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Documentation for AutoCAD is in two formats: PDF files and CHM files.

  • PDF files are made available during installation; click the Documentation link in the installer.
  • CHM files are available after the product is installed; they are accessed in the Help system in the product.

The PDF files are also available from within your installed product’s Help system.

Files are also installed to the \<AutoCAD>\Help folder.


Licensing Issues

Where are my product manuals?
Installation Troubleshooting
What is the difference between a stand-alone license and a network license?
Installation Troubleshooting >
Licensing Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to software licenses and licensing your product(s).

Topics in this section

  • What is the difference between a stand-alone license and a network license?
  • What is the benefit of using a network licensed version of the software?
  • What is Internet Explorer used for?


What is the difference between a stand-alone license and a network license?

Licensing Issues
Licensing Issues
What is the benefit of using a network licensed version of the software?
Installation Troubleshooting > Licensing Issues >
What is the difference between a stand-alone license and a network license?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Stand-alone licensed products are registered and activated to an individual workstation. While the software can be installed on multiple systems in your facility, the license only allows one system to be operational. If you need to run more systems, you need to purchase more stand-alone licensed products, or consider converting to network licenses.

Network licensed products rely on the Network License Manager to keep track of software licenses. The software can be installed and run on multiple systems, up to the maximum number of licenses you’ve purchased. The Network License Manager “checks out” licenses until they are all in use. No further systems can run the program until a license is “checked in.” If you need to run more systems, you can purchase additional licenses for the Network License Manager to maintain.

Stand-alone licensed products are registered and activated to an individual workstation. While the software can be installed on multiple systems in your facility, the license only allows one system to be operational. If you need to run more systems, you need to purchase more stand-alone licensed products, or consider converting to multi-seat stand-alone licenses.

You cannot purchase a network licensed version of PRODNAME. However, a multi-seat stand-alone licensed version is available that does not rely upon servers to maintain licenses. Multi-seat stand-alone licensing means that each installation of your product uses a single serial number for registration and activation.


What is the benefit of using a network licensed version of the software?

What is the difference between a stand-alone license and a network license?
Licensing Issues
What is Internet Explorer used for?
Installation Troubleshooting > Licensing Issues >
What is the benefit of using a network licensed version of the software?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Network licensed products are recommended for large drafting/design facilities, classrooms, and lab environments. The main advantage is that you can install products on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, products will run on the maximum number of systems for which you have licenses. This means you get a true floating license. If software needs to be run on more systems, additional licenses can be purchased.

Registration and activation occurs only once and the licenses are maintained on your Network License Server.


What is Internet Explorer used for?

What is the benefit of using a network licensed version of the software?
Licensing Issues
Uninstall and Maintenance Issues
Installation Troubleshooting > Licensing Issues >
What is Internet Explorer used for?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

After installing your product, you can operate in trial mode for a given number of days. Whenever you launch the program, you are prompted to activate the software. When you choose to activate the software, Internet Explorer makes this process much faster. Once you entered your registration data and submit it to Autodesk, an activation code is returned and you are not prompted again during startup.


Uninstall and Maintenance Issues

What is Internet Explorer used for?
Installation Troubleshooting
When adding or removing features, how can I tell what features get installed by default?
Installation Troubleshooting >
Uninstall and Maintenance Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section outlines common issues and their solutions with regards to adding and removing features, reinstalling or repairing your installation, and uninstalling products.

Topics in this section

  • When adding or removing features, how can I tell what features get installed by default?
  • Is it possible to change the installation folder when adding or removing features?
  • When should I reinstall the product instead of a repair?
  • Do I need my original disc to reinstall my software?
  • After repairing my installation, is it possible to recover my settings?
  • When I uninstall my software, what files are left on my system?


When adding or removing features, how can I tell what features get installed by default?

Uninstall and Maintenance Issues
Uninstall and Maintenance Issues
Is it possible to change the installation folder when adding or removing features?
Installation Troubleshooting > Uninstall and Maintenance Issues >
When adding or removing features, how can I tell what features get installed by default?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To quickly see what gets installed during a typical, default installation, click the Restore Defaults button on the Add/Remove Features page.

CAD Standards | Contains tools for reviewing design files for compliance with your standards.
Database | Contains database access tools.
Dictionaries | Contains multi-language dictionaries.
Drawing Encryption | Allows you to use the Security Options dialog box to protect a drawing with a password.
Express Tools | Contains AutoCAD support tools and utilities (not supported by Autodesk).
Fonts | Contains AutoCAD fonts and TrueType fonts.
Autodesk Impression Toolbar | The Impression toolbar allows you to quickly export any view to Autodesk Impression for advanced line effects.
Autodesk Seek | Autodesk Seek. NoteSeek will only be installed in the English version of AutoCAD.
New Features Workshop | Contains animated demos, exercises, and sample files to help users learn the new features.
License Transfer Utility | Allows users to transfer an Autodesk product license between computers. NoteThe utility will not be installed on unlocked versions of AutoCAD.
Migrate Custom Settings | Migrates custom settings and files from previous version of your product to this version.
Initial Setup | Allows users to set up their initial configuration of AutoCAD (online content, workspaces) based on their units system, industry, and commonly used task-based tools.
Reference Manager | Allows users to view and edit the paths of externally referenced files associated with a drawing.
Samples | Contains various feature sample files.
VBA Support | Contains Microsoft Visual Basic for Applications support files.


Is it possible to change the installation folder when adding or removing features?

When adding or removing features, how can I tell what features get installed by default?
Uninstall and Maintenance Issues
When should I reinstall the product instead of a repair?
Installation Troubleshooting > Uninstall and Maintenance Issues >
Is it possible to change the installation folder when adding or removing features?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Once your product is installed, you cannot change the installation path from the Add/Remove Features page. Changing the path while adding features results in program corruption, so it is not an option.


When should I reinstall the product instead of a repair?

Is it possible to change the installation folder when adding or removing features?
Uninstall and Maintenance Issues
Do I need my original disc to reinstall my software?
Installation Troubleshooting > Uninstall and Maintenance Issues >
When should I reinstall the product instead of a repair?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You should reinstall your product if you accidentally delete or alter files that are required by the program. Missing or altered files adversely affect the performance of your product and cause error messages when you try to execute a command or find a file.

If an attempt to repair an installation fails, reinstalling is the next best option.


Do I need my original disc to reinstall my software?

When should I reinstall the product instead of a repair?
Uninstall and Maintenance Issues
After repairing my installation, is it possible to recover my settings?
Installation Troubleshooting > Uninstall and Maintenance Issues >
Do I need my original disc to reinstall my software?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When performing a reinstall of the product, you do not need to have the original discs on hand. Installation data is cached locally on your drive and that data is reused when reinstalling.


After repairing my installation, is it possible to recover my settings?

Do I need my original disc to reinstall my software?
Uninstall and Maintenance Issues
When I uninstall my software, what files are left on my system?
Installation Troubleshooting > Uninstall and Maintenance Issues >
After repairing my installation, is it possible to recover my settings?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Custom settings can be exported and later re-imported to the same system in case you have to repair the installation of your program.

For more detailed information regarding exporting and importing custom settings, see Export and Import Custom Settings from the Same Release.


When I uninstall my software, what files are left on my system?

After repairing my installation, is it possible to recover my settings?
Uninstall and Maintenance Issues
Installation Troubleshooting > Uninstall and Maintenance Issues >
When I uninstall my software, what files are left on my system?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you uninstall the product, some files remain on your system such as files you created or edited (drawings or custom menus).

Your license file also stays on your workstation when you uninstall your product. If you reinstall on the same workstation, the license information remains valid and you do not have to reactivate the product.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!